Perform a vector similarity search over the specified vector table.
post
/vecdb/vector-tables/{vector_table_name}/query
Perform a vector similarity search using text, a vector or an ID returning the most similar records as well as their distance.
Request
Path Parameters
-
vector_table_name(required): string
The name of the vector table.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
advancedOptions: object
advancedOptions
Additional query parameters.
-
debugFlags: object
VectorDebugFlags
Debug flags to be used to trace vector modules
-
filters: object
filters
Filters to be applied over the vector table metadata.
-
includeVectors: boolean
indicates whether vector values are included in the response. Defaults to false.
-
queryBy(required): object
queryBy
Query by text, vector or id.
-
topK(required): number
The topK nearest results.
Nested Schema : advancedOptions
Type:
objectAdditional query parameters.
Nested Schema : VectorDebugFlags
Type:
objectDebug flags to be used to trace vector modules
Show Source
-
VEC_INDEX_CALIBRATION: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS_COM: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS_PJ: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS_PJ_DWNGRD: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS_PJ_GROW: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS_SJ: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS_SJ_BG: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_FIXED_VIEW: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_GRAPH: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_GRAPH_APPCHNG: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_GRAPH_BUILD: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_GRAPH_MEM: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_GRAPH_SEARCH: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_GRAPH_STATS: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_PARTITIONS: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_TRACE: string
Allowed Values:
[ "low", "medium", "high" ]
Nested Schema : filters
Type:
object Filters to be applied over the vector table metadata.
Nested Schema : queryBy
Type:
objectQuery by text, vector or id.
Security
-
BasicAuth: http
Type:
http -
BearerAuth: http
Type:
http -
OAuth2: oauth2
Type:
oauth2
Response
Supported Media Types
- application/json
- application/problem+json
200 Response
List of vectors.
Nested Schema : metadata
Type:
object400 Response
The request body included invalid parameters.
404 Response
The specified vector table does not exists.